Install impossible de Rubygems sur Debian


#1

[Désolé pour le cross-post, mais je sus désespéré]

Bonjour à tous,

Sur un serveur Sun Enterprise 220R (dual Sparc32), il y a une Debian
testing sur laquelle j’ai installé Rails il y a quelques semaines, tout
marchait bien.

L’autre jour j’ai voulu fair eun upgrade de rails, ça a cafouillé Ã
cause de certaines gems, … et de fil en aiguille j’ai tout désinstallé
(rubygems, ruby et ses libs, …)

Depuis j’arrive bien à installer ruby via apt-get, mais pas Rubygems (ni
via apt-get ni via les sources).
J’ai testé la version 0.9.0 qui avait marché, mais ç amarche pas plus
que les 0.9.1 et 0.9.2

Voici ce que j’obtiens :

220R:~/rubygems-0.9.0# ruby -d setup.rb
—> bin
<— bin
—> lib
—> lib/rbconfig
<— lib/rbconfig
—> lib/rubygems
<— lib/rubygems
<— lib
—> bin
<— bin
—> lib
—> lib/rbconfig
<— lib/rbconfig
—> lib/rubygems
<— lib/rubygems
<— lib
rm -f InstalledFiles
—> bin
mkdir -p /usr/bin/
install gem /usr/bin/
install gem_mirror /usr/bin/
install gem_server /usr/bin/
install gemlock /usr/bin/
install gemri /usr/bin/
install gemwhich /usr/bin/
install index_gem_repository.rb /usr/bin/
install update_rubygems /usr/bin/
<— bin
—> lib
mkdir -p /usr/local/lib/site_ruby/1.8/
install gemconfigure.rb /usr/local/lib/site_ruby/1.8/
install rubygems.rb /usr/local/lib/site_ruby/1.8/
install ubygems.rb /usr/local/lib/site_ruby/1.8/
—> lib/rbconfig
mkdir -p /usr/local/lib/site_ruby/1.8/rbconfig
install datadir.rb /usr/local/lib/site_ruby/1.8/rbconfig
<— lib/rbconfig
—> lib/rubygems
mkdir -p /usr/local/lib/site_ruby/1.8/rubygems
install builder.rb /usr/local/lib/site_ruby/1.8/rubygems
install cmd_manager.rb /usr/local/lib/site_ruby/1.8/rubygems
install command.rb /usr/local/lib/site_ruby/1.8/rubygems
install config_file.rb /usr/local/lib/site_ruby/1.8/rubygems
install custom_require.rb /usr/local/lib/site_ruby/1.8/rubygems
install dependency_list.rb /usr/local/lib/site_ruby/1.8/rubygems
install doc_manager.rb /usr/local/lib/site_ruby/1.8/rubygems
install format.rb /usr/local/lib/site_ruby/1.8/rubygems
install gem_commands.rb /usr/local/lib/site_ruby/1.8/rubygems
install gem_openssl.rb /usr/local/lib/site_ruby/1.8/rubygems
install gem_runner.rb /usr/local/lib/site_ruby/1.8/rubygems
install incremental_fetcher.rb /usr/local/lib/site_ruby/1.8/rubygems
install installer.rb /usr/local/lib/site_ruby/1.8/rubygems
install loadpath_manager.rb /usr/local/lib/site_ruby/1.8/rubygems
install old_format.rb /usr/local/lib/site_ruby/1.8/rubygems
install open-uri.rb /usr/local/lib/site_ruby/1.8/rubygems
install package.rb /usr/local/lib/site_ruby/1.8/rubygems
install remote_installer.rb /usr/local/lib/site_ruby/1.8/rubygems
install rubygems_version.rb /usr/local/lib/site_ruby/1.8/rubygems
install security.rb /usr/local/lib/site_ruby/1.8/rubygems
install source_index.rb /usr/local/lib/site_ruby/1.8/rubygems
install specification.rb /usr/local/lib/site_ruby/1.8/rubygems
install timer.rb /usr/local/lib/site_ruby/1.8/rubygems
install user_interaction.rb /usr/local/lib/site_ruby/1.8/rubygems
install validator.rb /usr/local/lib/site_ruby/1.8/rubygems
install version.rb /usr/local/lib/site_ruby/1.8/rubygems
<— lib/rubygems
<— lib

As of RubyGems 0.8.0, library stubs are no longer needed.
Searching $LOAD_PATH for stubs to optionally delete (may take a
while)…
…done.
No library stubs found.

/usr/lib/ruby/1.8/yaml/rubytypes.rb:18: warning: instance variable
@description not initialized
Exception `Errno::EINVAL’ at
/usr/local/lib/site_ruby/1.8/rubygems/package.rb:265 - Invalid argument

  • sources-0.0.1.gem
    Exception Errno::EINVAL' at setup.rb:583 - Invalid argument - sources-0.0.1.gem ExceptionSetupError’ at setup.rb:40 - hook
    /root/rubygems-0.9.0/./post-install.rb failed:
    Invalid argument - sources-0.0.1.gem
    Exception SetupError' at setup.rb:1355 - hook /root/rubygems-0.9.0/./post-install.rb failed: Invalid argument - sources-0.0.1.gem setup.rb:40:insetup_rb_error’: hook
    /root/rubygems-0.9.0/./post-install.rb failed: (SetupError)
    Invalid argument - sources-0.0.1.gem from setup.rb:585:in
    try_run_hook' from setup.rb:577:inrun_hook’
    from setup.rb:1315:in exec_task_traverse' from setup.rb:1168:inexec_install’
    from setup.rb:887:in exec_install' from setup.rb:705:ininvoke’
    from setup.rb:674:in `invoke’
    from setup.rb:1352

Je suis donc très prenneur de toute infos qui pourrait m’aider Ã
avancer.
Merci d’avance.